com.mapinfo.midev.geometry

## Interface IDirectPositionIterator

    public interface IDirectPositionIterator

An iterator that returns copies of `IDirectPosition`s.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `hasNext()` Returns `true` if this `IDirectPositionIterator` has more `DirectPosition`'s; `false` if not.
`DirectPosition` `nextDirectPosition(DirectPosition dp)` Returns the next `DirectPosition` from this `DirectPositionIterator`.

### Method Detail

#### hasNext

    boolean hasNext()

Returns `true` if this `IDirectPositionIterator` has more `DirectPosition`'s; `false` if not.

Returns:
  `true` if this `IDirectPositionIterator` has more `DirectPosition`'s; `false` if not.

#### nextDirectPosition

    DirectPosition nextDirectPosition(DirectPosition dp)
                               throws ConcurrentModificationException

Returns the next `DirectPosition` from this `DirectPositionIterator`. The specified `DirectPosition` will be filled with the state of the next `DirectPosition` and also returned by this method.

Parameters:
  `dp` - the DirectPosition to copy into, cannot be null.
Returns:
  the next `DirectPosition` from this `DirectPositionIterator`.
Throws:
  `ConcurrentModificationException` - if the target of this iterator is concurrently modified in an unpermissible way while this iterator is in use.